EASYJSON(1)

NAME
easyjson - Fast JSON serializer for Go

DESCRIPTION

  Usage of /build/golang-github-mailru-easyjson-58I1Wy/golang-github-mailru-easyjson-0.9.1/debian/tmp/usr/bin/easyjson:

-all

    generate marshaler/unmarshalers for all structs in a file

-build_tags string

    build tags to add to generated file

-byte

    use simple bytes instead of Base64Bytes for slice of bytes

-disable_members_unescape

    don't perform unescaping of member names to improve performance

-disallow_unknown_fields

    return error if any unknown field in json appeared

-gen_build_flags string

    build flags when running the generator while bootstrapping

-leave_temps

    do not delete temporary files

-lower_camel_case

    use lowerCamelCase names instead of CamelCase by default

-no_std_marshalers

    don't generate MarshalJSON/UnmarshalJSON funcs

-noformat

    do not run 'gofmt -w' on output file

-omit_empty

    omit empty fields by default

-output_filename string

    specify the filename of the output

-pkg

    process the whole package instead of just the given file

-snake_case

    use snake_case names instead of CamelCase by default

-stubs

    only generate stubs for marshaler/unmarshaler funcs

-version

    print version and exit